SDL_GetRenderDrawColorFloat(3)

NAME
SDL_GetRenderDrawColorFloat - Get the color used for drawing operations (Rect, Line and Clear).

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderDrawColorFloat(SDL_Renderer *renderer, float *r, float *g, float *b, float *a);

FUNCTION PARAMETERS

renderer
    the rendering context.

r   a pointer filled in with the red value used to draw on the rendering target.

g   a pointer filled in with the green value used to draw on the rendering target.

b   a pointer filled in with the blue value used to draw on the rendering target.

a   a pointer filled in with the alpha value used to draw on the rendering target.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetRenderDrawColorFloat(3), SDL_GetRenderDrawColor(3)